Name:           tbftss
Version:        1.5.1
Release:        %mkrel 3
Summary:        The Battle for the Solar System: The Pandoran War
Group:          Games/Shooter
# Nonfree due to the NC clause on art assets
License:        GPLv2+ and CC-BY-NC-SA 3.0
URL:            https://www.battleforthesolarsystem.com/games/pw
Source0:        https://github.com/stephenjsweeney/tbftss/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_mixer)
BuildRequires:  pkgconfig(SDL2_ttf)

%description
The Pandoran War is a 2D mission-based space shooter set in the universe
of the space opera novel trilogy 'The Battle for the Solar System'.
The game features many missions, with many different objectives and craft.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build \
    DATA_DIR=%{_gamesdatadir}/%{name}

%install
%make_install \
    BIN_DIR=%{_gamesbindir} \
    DATA_DIR=%{_gamesdatadir}/%{name}

%find_lang %{name}

%files -f %{name}.lang
%doc README.md README_DEV.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Fri Apr 15 2022 umeabot <umeabot> 1.5.1-3.mga9
+ Revision: 1850536
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 1.5.1-2.mga8.nonfree
+ Revision: 1548834
- Mageia 8 Mass Rebuild

* Sat Feb 08 2020 daviddavid <daviddavid> 1.5.1-1.mga8.nonfree
+ Revision: 1488029
- new version: 1.5.1
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Fri Apr 26 2019 akien <akien> 1.5.0-1.mga7.nonfree
+ Revision: 1395485
- Version 1.5.0

* Fri Sep 21 2018 umeabot <umeabot> 1.4.0-2.mga7.nonfree
+ Revision: 1293105
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 1.4.0-1.mga7.nonfree
+ Revision: 1229362
- Version 1.4.0

* Sat Aug 26 2017 akien <akien> 1.3-1.mga7.nonfree
+ Revision: 1148121
- Version 1.3

* Sat Jul 01 2017 akien <akien> 1.2-1.mga6.nonfree
+ Revision: 1108809
- Version 1.2

* Sat Oct 29 2016 akien <akien> 1.1-1.mga6.nonfree
+ Revision: 1064036
- Version 1.1

* Sat Aug 13 2016 akien <akien> 1.0-1.mga6.nonfree
+ Revision: 1046358
- Version 1.0

* Wed Jun 29 2016 akien <akien> 0.9-1.mga6.nonfree
+ Revision: 1038076
- Version 0.9

* Mon May 16 2016 akien <akien> 0.7-1.mga6.nonfree
+ Revision: 1016179
- imported package tbftss

